## Contents

- Properties

class solace.SolclientFactoryProperties

Creates an instance of SolclientFactoryProperties.

## Constructor Top

| SolclientFactoryProperties ( Object options ) |  |

## Properties Top

solace.LogImpl | logger |  |
solace.LogLevel | logLevel |  |
solace.FactoryProfiles | profile |  |

## Constructor details Top

###
SolclientFactoryProperties ( Object options )

Creates an instance of SolclientFactoryProperties.

#### Parameters

Object | options The property names and values to apply to this instance (Optional)
solace.LogLevel | logLevel logLevel (default=solace.LogLevel.INFO (Optional)
solace.LogImpl | logger log implementation (default=NULL) (Optional)
solace.SolclientFactoryProfiles | profile Javascript profile (default=solace.SolclientFactoryProfiles.version7) (Optional)

## Properties Detail Top

###
public solace.LogImpl logger

The logging implementation to use. In the debug API, the log implementation will be called for every log statement not filtered out by the log level. If no implementation is supplied, the default implementation will be used, which logs to the global console object.

###
public solace.LogLevel logLevel

The logging level to use for filtering log events. Messages with a level of lesser importance than this will be filtered out and not logged.

###
public solace.FactoryProfiles profile

The factory profile to use. The following factory profiles are available:

- solace.SolclientFactoryProfiles.version7, a backwards-compatible profile for existing solClientJS 7.x applications
- solace.SolclientFactoryProfiles.version10, the recommended profile for new applications